timeouts:
  job:
    minutes: 65
  connection:
    minutes: 2
device_type: apq8016-sbc-uboot
job_name: lkft-kselftests-master-346
priority: 50
visibility: public
metadata:
  git branch: master
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
  git commit: ff5abbe799e29099695cb8b5b2f198dd8b8bdf26
  git describe: v4.14-rc4-84-gff5abbe799e2
  make_kernelversion: 4.14.0-rc4
  kernel-config: http://snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/346/config
  kernel-defconfig: http://snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/346/defconfig
  build-url: https://ci.linaro.org/job/openembedded-lkft-linux-mainline/DISTRO=rpb,MACHINE=hikey,label=docker-stretch-amd64/346/
  build-location: http://snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/346
  toolchain: arm-linaro-linux-gnueabi linaro-6.2
  series: lkft
  email-notification: ''
  kselftest__url: https://www.kernel.org/pub/linux/kernel/v4.x/linux-4.13.tar.xz
  kselftest__version: '4.13'
  kselftest__revision: g4.13
actions:
- deploy:
    timeout:
      minutes: 25
    to: tftp
    kernel:
      url: http://snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/346/Image--4.13+git0+ff5abbe799-r0-hikey-20171012090440-346.bin
      compression: gz
    dtb:
      url: http://snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/346/junor2.dtb
    modules:
      url: http://snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/346/modules--5.1+git0+556e2f6020-r0-hikey-20190628014355-1914.tgz
      compression: gz
    nfsrootfs:
      url: http://snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/346/rpb-console-image-hikey-20171012090440-346.rootfs.tar.xz
      compression: xz
    os: oe
- boot:
    namespace: target
    auto_login:
      login_prompt: 'login:'
      username: linaro
      login_commands:
        # Become super user to run tests
      - su
    prompts:
    - root@(.*):/#
    - root@dragonboard-410c:~#
    - dragonboard-410c:/home/linaro#
    - dragonboard-410c:~\$
    timeout:
      minutes: 5
    method: u-boot
    commands: nfs
- test:
    namespace: target
    timeout:
      minutes: 55
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: timesync-off
          description: Disable systemd time sync services
        run:
          steps:
          - systemctl stop systemd-timesyncd || true
      name: timesync-off
      path: inline/timesync-off.yaml
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      revision: kselftest-5.1
      path: automated/linux/kselftest/kselftest.yaml
      name: kselftest
      parameters:
        KSELFTEST_PATH: /opt/
        SKIPFILE: skipfile-lkft.yaml
        BOARD: apq8016-sbc-uboot
        BRANCH: mainline
        ENVIRONMENT: production
